File: README.IMPORTANT

package info (click to toggle)
sawfish 1:1.11.90-1.2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 26,204 kB
  • sloc: lisp: 30,914; ansic: 14,583; sh: 11,203; makefile: 562; python: 91; perl: 7
file content (101 lines) | stat: -rw-r--r-- 2,922 bytes parent folder | download | duplicates (4)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
For full changes, read the news section in info. This file
lists only important changes.

In Sawfish 1.9.0 there are the following major changes:

StyleTab incompatibility
************************

If you set-up StyleTab previously, you will need to re-set it up.
Maybe - though unlikely - the old settings will interfere with the
new ones. In that rare case remove the StyleTab related settings from
~/.sawfish/custom

GTK+ requirement bumped
***********************

With the use of new features and rep-gtk 0.90.7, the minimum GTK+
requirement is now 2.24.0 (respectively 2.23.0 for GDK).

In Sawfish 1.6.0 there are the following major changes:

sawfish-ui is now sawfish-config
********************************

The sawfish-configuration-tool has been renamed from
`sawfish-ui' to `sawfish-config'

$prefix/libexecdir -> $prefix/lib directory move
************************************************

libreps/sawfishs library directory as changes as mentioned above,
thus you need to recompile anything linked against both, which
namely means rep-gtk and sawfish-pager, and everything will
work again as expected.

------------------------------------------------------------------------
In Sawfish 1.5.0 there are the following major changes:

sawmill-defaults is now sawfish-defaults
****************************************

sawfish-defaults is an alias to the standard sawfish
configuration, if your ~/.sawfish[/]rc contains the line:

(require 'sawmill-defaults)

then updated the line to the new value:

(require 'sawfish-defaults)

~/.sawmillrc is no longer a valid configuration file
****************************************************

now, there we fully renamed from sawmil to sawfish,
also ~/.sawmillrc is no longer a valid configuration file.

if you're using it, simply rename it to:

~/.sawfishrc -or- ~/.sawfish/rc

both are valid and please restart sawfish after renaming
your configuration file.

Building using XFree86 or X.Org 6.x instead of X.Org 7.x:
*********************************************************

simply add the following flag to configure:

--without-xorg-x11r7

(eg: ./configure --prefix=/usr --without-xorg-x11r7)

Building without using PANGO for font-rendering:
************************************************

simply add the following flag to configure:

--without-pango

(eg: ./configure --prefix=/usr --without-pango)

Building without translations:
******************************

simply add the following flag to configure:

--without-nls

(eg: ./configure --prefix=/usr --without-nls)

SawfishConfig GtkTree:
*******************

recently the old GtkNotebook UI has been replaced by a GtkTree
UI, sadly this widget does currently not support single-clicking
it, so you need to double-click it. 

but: the old ui is -of course- still available, use:

sawfish-config --flatten [in a terminal]
(defvar-setq customize-program "sawfish-config --flatten") [in your config-file]